Index: trunk/BNS/bnswindow.cpp
===================================================================
--- trunk/BNS/bnswindow.cpp	(revision 843)
+++ trunk/BNS/bnswindow.cpp	(revision 844)
@@ -125,4 +125,5 @@
   _outPortLineEdit->setMaximumWidth(9*ww);
   _mountpointLineEdit = new QLineEdit(settings.value("mountpoint").toString());
+  _mountpointLineEdit->setMaximumWidth(9*ww);
   _passwordLineEdit   = new QLineEdit(settings.value("password").toString());
   _passwordLineEdit->setMaximumWidth(9*ww);
@@ -132,44 +133,50 @@
   // TabWidget
   // ---------
-  QWidget* tabs = new QWidget();
-  QHBoxLayout* layout1 = new QHBoxLayout;
-
-  QWidget* tab_inp = new QWidget();
-  QWidget* tab_out = new QWidget();
-  layout1->addWidget(tab_inp);
-  layout1->addSpacing(10);
-  layout1->addWidget(tab_out);
-
-  tabs->setLayout(layout1);
-
-  // Input-Tab
-  // ---------
-  QGridLayout* iLayout = new QGridLayout;
-  iLayout->addWidget(new QLabel("Input Ports"), 0, 0, Qt::AlignLeft);
-  iLayout->addWidget(new QLabel("Ephemeris"), 1, 0, Qt::AlignLeft);
-  iLayout->addWidget(_ephPortLineEdit, 1, 1);
-  iLayout->addWidget(new QLabel("Clocks"), 2, 0, Qt::AlignLeft);
-  iLayout->addWidget(_clkPortLineEdit, 2, 1);
-  iLayout->addWidget(new QLabel(""), 3, 0, Qt::AlignLeft);
-  iLayout->addWidget(new QLabel(""), 4, 0, Qt::AlignLeft);
-  iLayout->addWidget(new QLabel(""), 5, 0, Qt::AlignLeft);
-  tab_inp->setLayout(iLayout);
-
-  // Output-Tab
-  // ----------
-  QGridLayout* oLayout = new QGridLayout;
-  oLayout->addWidget(new QLabel("Log File"), 0, 0, Qt::AlignLeft);
-  oLayout->addWidget(_logFileLineEdit, 0, 1);
-  oLayout->addWidget(new QLabel("Output (Host)"), 1, 0, Qt::AlignLeft);
-  oLayout->addWidget(_outHostLineEdit, 1, 1);
-  oLayout->addWidget(new QLabel("Output (Port)"), 2, 0, Qt::AlignLeft);
-  oLayout->addWidget(_outPortLineEdit, 2, 1);
-  oLayout->addWidget(new QLabel("Mountpoint"),    3, 0, Qt::AlignLeft);
-  oLayout->addWidget(_mountpointLineEdit, 3, 1);
-  oLayout->addWidget(new QLabel("Password"),      4, 0, Qt::AlignLeft);
-  oLayout->addWidget(_passwordLineEdit, 4, 1);
-  oLayout->addWidget(new QLabel("Output (File)"), 5, 0, Qt::AlignLeft);
-  oLayout->addWidget(_outFileLineEdit, 5, 1);
-  tab_out->setLayout(oLayout);
+  QTabWidget* tabs = new QTabWidget();
+
+  // Basic Input/Output Tab
+  // ----------------------
+  QWidget* tab_bas = new QWidget();
+  tabs->addTab(tab_bas, "Basic");
+
+  QGridLayout* layout_bas = new QGridLayout;
+  layout_bas->addWidget(new QLabel("Input Ports"),  0, 0, Qt::AlignLeft);
+  layout_bas->addWidget(new QLabel("Ephemeris"),    1, 0, Qt::AlignLeft);
+  layout_bas->addWidget(_ephPortLineEdit,           1, 1);
+  layout_bas->addWidget(new QLabel("Clocks"),       2, 0, Qt::AlignLeft);
+  layout_bas->addWidget(_clkPortLineEdit,           2, 1);
+  layout_bas->setColumnMinimumWidth(2, 9*ww);
+  layout_bas->addWidget(new QLabel("Output Files"), 0, 3, Qt::AlignLeft);
+  layout_bas->addWidget(new QLabel("Log"),          1, 3, Qt::AlignLeft);
+  layout_bas->addWidget(_logFileLineEdit,           1, 4);
+  layout_bas->addWidget(new QLabel("Data"),         2, 3, Qt::AlignLeft);
+  layout_bas->addWidget(_outFileLineEdit, 2, 4);
+  layout_bas->addWidget(new QLabel(""), 3, 0);
+  layout_bas->addWidget(new QLabel(""), 4, 0);
+  layout_bas->addWidget(new QLabel(""), 5, 0);
+
+  tab_bas->setLayout(layout_bas);
+
+  // NTRIP Caster Tab
+  // ----------------
+  QWidget* tab_cas = new QWidget();
+  tabs->addTab(tab_cas, "Caster");
+
+  QGridLayout* layout_cas = new QGridLayout;
+  layout_cas->addWidget(new QLabel(""),           0, 0);
+  layout_cas->addWidget(new QLabel("Host"),       1, 0, Qt::AlignLeft);
+  layout_cas->addWidget(_outHostLineEdit,         1, 1);
+  layout_cas->addWidget(new QLabel("Mountpoint"), 2, 0, Qt::AlignLeft);
+  layout_cas->addWidget(_mountpointLineEdit,      2, 1);
+  layout_cas->setColumnMinimumWidth(2, 9*ww);
+  layout_cas->addWidget(new QLabel("Port"),       1, 3, Qt::AlignLeft);
+  layout_cas->addWidget(_outPortLineEdit,         1, 4);
+  layout_cas->addWidget(new QLabel("Password"),   2, 3, Qt::AlignLeft);
+  layout_cas->addWidget(_passwordLineEdit,        2, 4);
+  layout_cas->addWidget(new QLabel(""),           3, 0);
+  layout_cas->addWidget(new QLabel(""),           4, 0);
+  layout_cas->addWidget(new QLabel(""),           5, 0);
+
+  tab_cas->setLayout(layout_cas);
 
   // Log