Index: /trunk/BNC/RTCM3/RTCM3coDecoder.cpp
===================================================================
--- /trunk/BNC/RTCM3/RTCM3coDecoder.cpp	(revision 866)
+++ /trunk/BNC/RTCM3/RTCM3coDecoder.cpp	(revision 866)
@@ -0,0 +1,59 @@
+// Part of BNC, a utility for retrieving decoding and
+// converting GNSS data streams from NTRIP broadcasters.
+//
+// Copyright (C) 2007
+// German Federal Agency for Cartography and Geodesy (BKG)
+// http://www.bkg.bund.de
+// Czech Technical University Prague, Department of Geodesy
+// http://www.fsv.cvut.cz
+//
+// Email: euref-ip@bkg.bund.de
+//
+// This program is free software; you can redistribute it and/or
+// modify it under the terms of the GNU General Public License
+// as published by the Free Software Foundation, version 2.
+//
+// This program is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with this program; if not, write to the Free Software
+// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+/* -------------------------------------------------------------------------
+ * BKG NTRIP Client
+ * -------------------------------------------------------------------------
+ *
+ * Class:      RTCM3coDecoder
+ *
+ * Purpose:    RTCM3 Clock Orbit Decoder
+ *
+ * Author:     L. Mervart
+ *
+ * Created:    05-May-2008
+ *
+ * Changes:    
+ *
+ * -----------------------------------------------------------------------*/
+
+#include "RTCM3coDecoder.h"
+
+using namespace std;
+
+// Constructor
+////////////////////////////////////////////////////////////////////////////
+RTCM3coDecoder::RTCM3coDecoder() : GPSDecoder() {
+}
+
+// Destructor
+////////////////////////////////////////////////////////////////////////////
+RTCM3coDecoder::~RTCM3coDecoder() {
+}
+
+// 
+////////////////////////////////////////////////////////////////////////////
+t_irc RTCM3coDecoder::Decode(char* buffer, int bufLen) {
+  return success;
+}
Index: /trunk/BNC/RTCM3/RTCM3coDecoder.h
===================================================================
--- /trunk/BNC/RTCM3/RTCM3coDecoder.h	(revision 866)
+++ /trunk/BNC/RTCM3/RTCM3coDecoder.h	(revision 866)
@@ -0,0 +1,43 @@
+// Part of BNC, a utility for retrieving decoding and
+// converting GNSS data streams from NTRIP broadcasters.
+//
+// Copyright (C) 2007
+// German Federal Agency for Cartography and Geodesy (BKG)
+// http://www.bkg.bund.de
+// Czech Technical University Prague, Department of Geodesy
+// http://www.fsv.cvut.cz
+//
+// Email: euref-ip@bkg.bund.de
+//
+// This program is free software; you can redistribute it and/or
+// modify it under the terms of the GNU General Public License
+// as published by the Free Software Foundation, version 2.
+//
+// This program is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with this program; if not, write to the Free Software
+// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+#ifndef RTCM3DECODER_H
+#define RTCM3DECODER_H
+
+#include "../RTCM/GPSDecoder.h"
+
+extern "C" {
+#include "clock_orbit_rtcm.h"
+}
+
+class RTCM3coDecoder : public GPSDecoder {
+public:
+  RTCM3coDecoder();
+  virtual ~RTCM3coDecoder();
+  virtual t_irc Decode(char* buffer = 0, int bufLen = 0);
+private:
+  ClockOrbit _co;
+} ;
+
+#endif
Index: /trunk/BNC/bnc.pro
===================================================================
--- /trunk/BNC/bnc.pro	(revision 865)
+++ /trunk/BNC/bnc.pro	(revision 866)
@@ -28,4 +28,5 @@
           RTCM/GPSDecoder.h RTCM/RTCM2.h RTCM/RTCM2Decoder.h          \
           RTCM3/RTCM3Decoder.h RTCM3/rtcm3torinex.h                   \
+          RTCM3/RTCM3coDecoder.h RTCM3/clock_orbit_rtcm.h             \
           RTIGS/RTIGSDecoder.h RTIGS/rtigs_records.h                  \
           RTIGS/cgps_transform.h RTIGS/rtstruct.h RTIGS/rtacp.h RTIGS/gpswro.h
@@ -37,4 +38,5 @@
           RTCM/RTCM2.cpp RTCM/RTCM2Decoder.cpp                        \
           RTCM3/RTCM3Decoder.cpp RTCM3/rtcm3torinex.c                 \
+          RTCM3/RTCM3coDecoder.cpp RTCM3/clock_orbit_rtcm.c           \
           RTIGS/RTIGSDecoder.cpp RTIGS/cgps_transform.cpp
 