Index: trunk/BNC/bnchelp.html
===================================================================
--- trunk/BNC/bnchelp.html	(revision 955)
+++ trunk/BNC/bnchelp.html	(revision 962)
@@ -4,10 +4,17 @@
 The BKG Ntrip Client (BNC) is a program for simultaneously retrieving, decoding and converting real-time GNSS data streams from NTRIP broadcasters like <u>http://www.euref-ip.net/home</u> or <u>http://www.igs-ip.net/home</u>.
 </p>
+
 <p>
 BNC has been developed for the Federal Agency for Cartography and Geodesy (BKG) within the framework of EUREF's Real-time GNSS Project (EUREF-IP, IP for Internet Protocol) and the Real-Time IGS Pilot Project (RTIGS).
 </p>
+
 <p>
 BNC has been written under GNU General Public License (GPL). Binaries for BNC are available for Windows, 32-bit Linux, 64-bit Linux (compiled using option -m32), Solaris, and Mac systems. We used the MinGW Version 5.3.1 compiler to create the Windows binary. It is likely that BNC can be compiled on other systems where a GNU compiler and Qt Version 4.3.2 are installed.
 </p>
+
+<p>
+Please ensure that you have installed the latest version of BNC available from <u>http://igs.bkg.bund.de/index_ntrip_down.htm</u>. We are continuously working on the program and would appreciate if you could send any comments, suggestions, or bug reports to [euref-ip@bkg.bund.de] or [igs-ip@bkg.bund.de].
+</p>
+
 <h3>Contents</h3>
 <p>
@@ -30,4 +37,5 @@
 <li>generate high-rate RINEX Observation and Navigation files to support near real-time GNSS post-processing applications, and/or</li> 
 <li>generate ephemeris and synchronized observations epoch by epoch through an IP port to support real-time GNSS engines, and/or</li> 
+<li>generate clock and orbit corrections to broadcast ephemeris through an IP port to support real-time Precise Point Positioning on GNSS rovers, and/or</li> 
 <li>monitor the performance of a network of real-time GNSS reference stations to generate advisory notes.</li>
 </ul>
@@ -39,5 +47,5 @@
 <ul>
 <li>RTCM Version 2.x containing message types 18 and 19 (GPS and GLONASS), </li> 
-<li>RTCM Version 3.x containing message types 1002 (GPS, SBAS) or 1004 (GPS), 1010 or 1012 (GLONASS), 1019 or 1020 (broadcast ephemeris)</li>
+<li>RTCM Version 3.x containing message types 1002 (GPS, SBAS) or 1004 (GPS), 1010 or 1012 (GLONASS), 1019 or 1020 (broadcast ephemeris), 4056 and 4057 (tentative messages for orbit and clock corrections to broadcast ephemeris)</li>
 <li>RTIGS containing GPS record types 200 (observations) and 300 (ephemeris).</li>
 </ul>
@@ -692,11 +700,8 @@
 </p>
 <p>
-Please ensure that you have installed the latest version of BNC available from <u>http://igs.bkg.bund.de/index_ntrip_down.htm</u>. We are continuously working on the program and would appreciate if you could send any comments, suggestions, or bug reports to:
-</p>
-<p>
 Georg Weber<br>
 Federal Agency for Cartography and Geodesy (BKG)<br>
 Frankfurt, Germany<br>
-euref-ip@bkg.bund.de or igs-ip@bkg.bund.de
+[euref-ip@bkg.bund.de] or [igs-ip@bkg.bund.de]
 </p>
 <p>
@@ -711,13 +716,12 @@
 <p>
 8.1. <a href=#history>History</a><br>
-8.2. <a href=#ntrip>NTRIP</a><br>
-&nbsp; &nbsp; &nbsp; 8.2.1 <a href=#source>Source-table</a><br>
-8.3. <a href=#rtcm>RTCM</a><br>
-&nbsp; &nbsp; &nbsp; 8.3.1 RTCM <a href=#rtcm2> Version 2.x</a><br>
-&nbsp; &nbsp; &nbsp; 8.3.2 RTCM <a href=#rtcm3> Version 3.x</a><br>
-8.4. <a href=#rtigs>RTIGS</a><br>
-&nbsp; &nbsp; &nbsp; 8.4.1 <a href=#soc>SOC</a><br>
-8.5. <a href=#config>Config File</a><br>
-8.6. <a href=#links>Links</a><br>
+8.2. <a href=#rtcm>RTCM</a><br>
+&nbsp; &nbsp; &nbsp; 8.2.1 <a href=#ntrip>NTRIP</a><br>
+&nbsp; &nbsp; &nbsp; 8.2.2 RTCM <a href=#rtcm2>Version 2.x</a><br>
+&nbsp; &nbsp; &nbsp; 8.2.3 RTCM <a href=#rtcm3>Version 3.x</a><br>
+8.3. <a href=#rtigs>RTIGS</a><br>
+&nbsp; &nbsp; &nbsp; 8.3.1 <a href=#soc>SOC</a><br>
+8.4. <a href=#config>Config File</a><br>
+8.5. <a href=#links>Links</a><br>
 </p>
 
@@ -735,5 +739,13 @@
 </p>
 
-<p><a name="ntrip"><h4>8.2. NTRIP</h4></p>
+<p><a name="rtcm"><h4>8.2. RTCM</h4></p>
+
+<p>
+The Radio Technical Commission for Maritime Services (RTCM) is an international non-profit scientific, professional and educational organization. Special Committees provide a forum in which governmental and non-governmental members work together to develop technical standards and consensus recommendations in regard to issues of particular concern. RTCM is engaged in the development of international standards for maritime radionavigation and radiocommunication systems. The output documents and reports prepared by RTCM Committees are published as RTCM Recommended Standards. Topics concerning Differential Global Navigation Satellite Systems (DGNSS) are handled by the Special Committee SC 104.
+<p>
+Personal copies of RTCM Recommended Standards can be ordered through <u>http://www.rtcm.org/orderinfo.php</u>.
+</p>
+
+<p><a name="ntrip"><h4>8.2.1 NTRIP</h4></p>
 
 <p>
@@ -760,6 +772,4 @@
 </p>
 
-<p><a name="source"><h4>8.2.1 Source-table</h4></p>
-
 <p>
 The NTRIP broadcaster maintains a source-table containing information on available NTRIP streams, networks of NTRIP streams and NTRIP broadcasters. The source-table is sent to an NTRIP client on request. Source-table records are dedicated to one of the following: Data Streams (record type STR), Casters (record type CAS), or Networks of streams (record type NET).
@@ -776,13 +786,6 @@
 </p>
 
-<p><a name="rtcm"><h4>8.3. RTCM</h4></p>
-
-<p>
-The Radio Technical Commission for Maritime Services (RTCM) is an international non-profit scientific, professional and educational organization. Special Committees provide a forum in which governmental and non-governmental members work together to develop technical standards and consensus recommendations in regard to issues of particular concern. RTCM is engaged in the development of international standards for maritime radionavigation and radiocommunication systems. The output documents and reports prepared by RTCM Committees are published as RTCM Recommended Standards. Topics concerning Differential Global Navigation Satellite Systems (DGNSS) are handled by the Special Committee SC 104.
-<p>
-Personal copies of RTCM Recommended Standards can be ordered through <u>http://www.rtcm.org/orderinfo.php</u>.
-</p>
-
-<p><a name="rtcm2"><h4>8.3.1 RTCM Version 2.x</h4></p>
+
+<p><a name="rtcm2"><h4>8.2.2 RTCM Version 2.x</h4></p>
 <p>
 Transmitting GNSS carrier phase data can be done through RTCM Version 2.x messages. Please note that only RTCM Version 2.2 and 2.3 streams may include GLONASS data. Messages that may be of some interest here are:
@@ -822,5 +825,5 @@
 </ul>
 
-<p><a name="rtcm3"><h4>8.3.2 RTCM Version 3.x</h4></p>
+<p><a name="rtcm3"><h4>8.2.3 RTCM Version 3.x</h4></p>
 <p>
 RTCM Version 3.x has been developed as a more efficient alternative to RTCM Version 2.x. Service providers and vendors have asked for a standard that would be more efficient, easy to use, and more easily adaptable to new situations. The main complaint was that the Version 2 parity scheme was wasteful of bandwidth. Another complaint was that the parity is not independent from word to word. Still another was that even with so many bits devoted to parity, the actual integrity of the message was not as high as it should be. Plus, 30-bit words are awkward to handle. The Version 3.x standard is intended to correct these weaknesses.
@@ -850,5 +853,5 @@
 </ul>
 
-<p><a name="rtigs"><h4>8.4. RTIGS</h4></p>
+<p><a name="rtigs"><h4>8.3. RTIGS</h4></p>
 <p>
 RTIGS stands for a data format and transport protocol for GPS observations. It was defined by the Real-Time IGS Working Group (RTIGS WG). Its definition is based on the SOC format. Every RTIGS record has one of the following numbers:
@@ -903,5 +906,5 @@
 </p>
 
-<p><a name="soc"><h4>8.4.1 SOC</h4></p>
+<p><a name="soc"><h4>8.3.1 SOC</h4></p>
 <p>
 The SOC format has been designed in July 1999 by the Jet Propulsion Laboratory (JPL) and the California Institute of Technology (CalTech) to transport 1Hz GPS data with minimal bandwidth over the open Internet. SOC follows the 'little-endian' byte order meaning that the low-order byte of a number is stored in memory at the lowest address, and the high-order byte at the highest address. Because the transport layer is UDP, the format does not include sync bits, a checksum, or cyclic redundancy checksum (CRC). SOC allows to transport the GPS observable CA, P1, P2, L1, and L2, efficiently compressed down to 14 bytes with 1 mm range resolution and 0.02 mm phase resolution. SOC contains epochs for cycle slips, a stand-alone time-tag per epoch, a minimum representation of the receiver's clock solution, 3 SNR numbers, a unique site id, a modulo 12 hour sequence number and flags for receiver type and GPS health. SOC's simple structure comprises an 8 byte header, a 9 byte overhead for timetag, number of gps, etc., plus 21 data bytes per gps.
@@ -912,5 +915,5 @@
 <p>
 </p>
-<p><a name="config"><h4>8.5. Config File</h4></p>
+<p><a name="config"><h4>8.4. Config File</h4></p>
 <p>
 The following is an example for the contents of a Unix/Linux configuration file ${HOME}/.config/BKG/BKG_NTRIP_Client.conf. It enables the retrieval of stream ACOR0 form www.euref-ip.net and FFMJ3 from www.igs-ip.net for the generation of 15 min RINEX files. RINEX files are uploaded to an archive using script 'up2archive' :
@@ -949,5 +952,5 @@
 </p>
 
-<p><a name="links"><h3>8.6 Links</h3></p>
+<p><a name="links"><h3>8.5 Links</h3></p>
 <table>
 <tr></tr>