Index: /trunk/BNS/bnshelp.html
===================================================================
--- /trunk/BNS/bnshelp.html	(revision 1015)
+++ /trunk/BNS/bnshelp.html	(revision 1016)
@@ -2,5 +2,5 @@
 
 <p>
-The BKG Ntrip State Space Server (BNS) is a program for transforming GNSS satellite clocks and orbits into corrections to Broadcast Ephemeris. These corrections are then encode in RTCM Version 3.x format and uploaded to NTRIP broadcasters like <u>http://www.euref-ip.net/home</u> or <u>http://www.igs-ip.net/home.</u> BNS. is created as a tool for service providers with real-time access to a network of continentally or globally distributed GNSS reference stations.
+The BKG Ntrip State Space Server (BNS) is a program for transforming GNSS satellite clocks and orbits into corrections to Broadcast Ephemeris. These corrections are then encode in RTCM Version 3.x format and uploaded to NTRIP broadcasters like <u>http://www.euref-ip.net/home</u> or <u>http://www.igs-ip.net/home.</u> BNS is created as a tool for service providers with real-time access to a network of continentally or globally distributed GNSS reference stations.
 </p>
 
@@ -35,5 +35,5 @@
 </p>
 <p>
-An alternative to the observation space approach is the so called 'sate space' approach. The principle here is to provide information on individual error sources, i.e. 'State Space Representation' (SSR). For a rover position state space information concerning satellite clock and orbit corrections, ionospheric and tropospheric corrections et cetera can be converted into observation space and used to correct the rover observables for more accurate positioning. Alternatively the state information can directly be used in the rover's processing or adjustment model.
+An alternative to the observation space approach is the so called 'sate space' approach. The principle here is to provide information on individual error sources and can be called 'State Space Representation' (SSR). For a rover position, state space information concerning precise satellite clocks, orbits, ionosphere, troposphere et cetera can be converted into observation space and used to correct the rover observables for more accurate positioning. Alternatively the state information can directly be used in the rover's processing or adjustment model.
 </p>
 
@@ -41,10 +41,10 @@
 
 <ul>
-<li>read GNSS clocks and orbits in plain ASCII format from an IP port. They can be produced by a real-time GNSS engine such as RTNet and are should be referenced to the IGS Earth-Centered-Earth-Fixed (ECEF) reference system.</li> 
-<li>read GNSS broadcast ephemeris in RINEX Navigation file format from an IP port. This information can be provided in real-time by the 'BKG Ntrip Client' (BNC) program.</li>
-<li>convert the IGS Earth-Centered-Earth-Fixed clocks and and orbits into corrections to broadcast ephemeris with radial, along-track and cross-track components.</li>
+<li>read GNSS clocks and orbits in plain ASCII format from an IP port. They can be produced by a real-time GNSS engine such as RTNet and should be referenced to the IGS Earth-Centered-Earth-Fixed (ECEF) reference system.</li> 
+<li>read GNSS Broadcast Ephemeris in RINEX Navigation file format from an IP port. This information can be provided in real-time by the 'BKG Ntrip Client' (BNC) program.</li>
+<li>convert the IGS Earth-Centered-Earth-Fixed clocks and and orbits into corrections to Broadcast Ephemeris with radial, along-track and cross-track components.</li>
 <li>upload the clock and orbit corrections as a stream to an NTRIP Broadcaster.</li>
-<li>log the broadcast ephemeris clock corrections as files in Clock RINEX files.</li>
-<li>log the broadcast ephemeris orbit corrections as files in SP3 files.</li>
+<li>log the Broadcast Ephemeris clock corrections as files in Clock RINEX files.</li>
+<li>log the Broadcast Ephemeris orbit corrections as files in SP3 files.</li>
 </ul>
 </p>
@@ -55,9 +55,9 @@
 <p><a name="function"><h3>2. Functioning</h3></p>
 <p>
-The procedures taken by BNS to generate clock and orbit corrections to broadcast ephemeris in radial, along-track and cross-track components are as follow:
+The procedures taken by BNS to generate clock and orbit corrections to Broadcast Ephemeris in radial, along-track and cross-track components are as follow:
 </p>
 <p>
 <ul> 
-<li>Continuously receive up-to-date broadcast ephemeris carrying approximate orbits and clocks for all satellites. Receive them in RINEX Version 3 Navigation file format. Read new Broadcast Ephemeris immediately whenever they become available. Tools like the 'BKG Ntrip Client' (BNC) provide this information.</li>
+<li>Continuously receive up-to-date Broadcast Ephemeris carrying approximate orbits and clocks for all satellites. Receive them in RINEX Version 3 Navigation file format. Read new Broadcast Ephemeris immediately whenever they become available. Tools like the 'BKG Ntrip Client' (BNC) provide this information.</li>
 </ul> 
 </p>
@@ -65,5 +65,5 @@
 Then, epoch by epoch:
 <ul> 
-<li>Continuously receive the best available clock and orbit estimates for all satellites in X,Y,Z Earth-Centered-Earth-Fixed IGS05 reference system. Receive them every epoch in a plain ASCII format as provided by a real-time GNSS engine like RTNet.</li>
+<li>Continuously receive the best available clock and orbit estimates for all satellites in X,Y,Z Earth-Centered-Earth-Fixed IGS05 reference system. Receive them every epoch in a plain ASCII format as provided by a real-time GNSS engine such as RTNet.</li>
 <li>Calculate X,Y,Z coordinates from Broadcast Ephemeris orbits.</li>
 <li>Calculate differences dX,dY,dZ between Broadcast Ephemeris orbits and IGS05 orbits.</li>
@@ -146,5 +146,5 @@
 </li> 
 <li>
-a 'Flow Chart' showing BNS linked to tools like BNC and a real-time GNSS engine like RTNet.
+a 'Flow Chart' showing BNS linked to tools like BNC and a real-time GNSS engine such as RTNet.
 </li> 
 <li>
@@ -188,5 +188,5 @@
 </p>
 <p>
-As the clocks and orbits coming from real-time GNSS engine are expected to be in the 'IGS05' reference system (X,Y,Z ECEF), no transformation is carried out if this option is selected.
+As the clocks and orbits coming from real-time GNSS engine are expected to be in the 'IGS05' reference system (X,Y,Z, ECEF), no transformation is carried out if this option is selected.
 </p>
 <p>
@@ -236,5 +236,5 @@
 <p><a name="clocks"><h4>4.5.2 Clocks & Orbits - mandatory</h4></p>
 <p>
-BNS is listening at an IP port for incoming GNSS clocks and orbits in a plain ASCII format. They can be provided by a real-time GNSS engine like RTNet and are expected to refer to the IGS Earth-Centered-Earth-Fixed (ECEF) reference system. Enter the respective IP port number to setup a persistent server socket, see section 'Flow Chart' under 'Help' for socket communication details. Make sure that the software providing clocks and orbits is up and running before you start BNS.
+BNS is listening at an IP port for incoming GNSS clocks and orbits in a plain ASCII format. They can be provided by a real-time GNSS engine such as RTNet and are expected to refer to the IGS Earth-Centered-Earth-Fixed (ECEF) reference system. Enter the respective IP port number to setup a server socket for incoming data, see section 'Flow Chart' under 'Help' for socket communication details. Make sure that the software providing clocks and orbits is up and running before you start BNS.
 </p>
 <p>
@@ -367,5 +367,5 @@
 <p><a name="orbits"><h4>4.8. SP3 Orbits</h4></p>
 <p>
-The orbit corrections generated by BNS can be logged separately in SP3 Orbit files. The file naming follow the RINEX convention.
+The orbit corrections generated by BNS can be logged separately in SP3 Orbit files. The file naming follows the IGS convention.
 </p>
 